<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/Integration/src/ACLTestContext.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_eecb7863cc5539e333a9a51474f7e532.html">Integration</a></li><li class="navelem"><a class="el" href="dir_b305b79323af1f2661a24900bce79295.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">ACLTestContext.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;fstream&gt;</code><br />
<code>#include &lt;gtest/gtest.h&gt;</code><br />
<code>#include &lt;<a class="el" href="_h_t_t_p2_transport_factory_8h_source.html">ACL/Transport/HTTP2TransportFactory.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_post_connect_synchronizer_factory_8h_source.html">ACL/Transport/PostConnectSynchronizerFactory.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_alexa_client_s_d_k_init_8h_source.html">AVSCommon/AVS/Initialization/AlexaClientSDKInit.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_libcurl_h_t_t_p2_connection_factory_8h_source.html">AVSCommon/Utils/LibcurlUtils/LibcurlHTTP2ConnectionFactory.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_c_b_l_auth_delegate_8h_source.html">CBLAuthDelegate/CBLAuthDelegate.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_s_q_lite_c_b_l_auth_delegate_storage_8h_source.html">CBLAuthDelegate/SQLiteCBLAuthDelegateStorage.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_a_c_l_test_context_8h_source.html">Integration/ACLTestContext.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for ACLTestContext.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_a_c_l_test_context_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_integration_2src_2_a_c_l_test_context_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_integration_2src_2_a_c_l_test_context_8cpp" id="_2workplace_2avs-device-sdk_2_integration_2src_2_a_c_l_test_context_8cpp">
<area shape="rect" id="node4" href="_h_t_t_p2_transport_factory_8h.html" title="ACL/Transport/HTTP2Transport\lFactory.h" alt="" coords="4433,265,4643,304"/>
<area shape="rect" id="node22" href="_post_connect_synchronizer_factory_8h.html" title="ACL/Transport/PostConnect\lSynchronizerFactory.h" alt="" coords="5019,352,5207,391"/>
<area shape="rect" id="node24" href="_alexa_client_s_d_k_init_8h.html" title="AVSCommon/AVS/Initialization\l/AlexaClientSDKInit.h" alt="" coords="52,525,256,564"/>
<area shape="rect" id="node28" href="_libcurl_h_t_t_p2_connection_factory_8h.html" title="AVSCommon/Utils/LibcurlUtils\l/LibcurlHTTP2ConnectionFactory.h" alt="" coords="5123,179,5351,217"/>
<area shape="rect" id="node29" href="_c_b_l_auth_delegate_8h.html" title="CBLAuthDelegate/CBLAuthDelegate.h" alt="" coords="1583,359,1832,384"/>
<area shape="rect" id="node41" href="_s_q_lite_c_b_l_auth_delegate_storage_8h.html" title="CBLAuthDelegate/SQLiteCBLAuth\lDelegateStorage.h" alt="" coords="723,439,948,477"/>
<area shape="rect" id="node44" href="_a_c_l_test_context_8h.html" title="Integration/ACLTestContext.h" alt="" coords="3021,105,3215,131"/>
<area shape="rect" id="node7" href="_attachment_manager_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentManager.h" alt="" coords="3624,439,3826,477"/>
<area shape="rect" id="node12" href="_auth_delegate_interface_8h.html" title="AVSCommon/SDKInterfaces\l/AuthDelegateInterface.h" alt="" coords="3155,439,3346,477"/>
<area shape="rect" id="node14" href="_h_t_t_p2_connection_factory_interface_8h.html" title="AVSCommon/Utils/HTTP2\l/HTTP2ConnectionFactoryInterface.h" alt="" coords="5230,352,5473,391"/>
<area shape="rect" id="node16" href="_message_consumer_interface_8h.html" title="ACL/Transport/MessageConsumer\lInterface.h" alt="" coords="4566,439,4793,477"/>
<area shape="rect" id="node17" href="_post_connect_factory_interface_8h.html" title="ACL/Transport/PostConnect\lFactoryInterface.h" alt="" coords="4994,439,5181,477"/>
<area shape="rect" id="node19" href="_transport_factory_interface_8h.html" title="ACL/Transport/TransportFactory\lInterface.h" alt="" coords="4032,352,4244,391"/>
<area shape="rect" id="node21" href="_transport_observer_interface_8h.html" title="ACL/Transport/TransportObserver\lInterface.h" alt="" coords="4319,439,4541,477"/>
<area shape="rect" id="node10" href="_attachment_manager_interface_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentManagerInterface.h" alt="" coords="3371,525,3580,564"/>
<area shape="rect" id="node13" href="_auth_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/AuthObserverInterface.h" alt="" coords="2416,525,2607,564"/>
<area shape="rect" id="node15" href="_h_t_t_p2_connection_interface_8h.html" title="AVSCommon/Utils/HTTP2\l/HTTP2ConnectionInterface.h" alt="" coords="5331,525,5529,564"/>
<area shape="rect" id="node18" href="_post_connect_interface_8h.html" title="ACL/Transport/PostConnect\lInterface.h" alt="" coords="5019,525,5207,564"/>
<area shape="rect" id="node20" href="_transport_interface_8h.html" title="ACL/Transport/TransportInterface.h" alt="" coords="4167,532,4398,557"/>
<area shape="rect" id="node23" href="_context_manager_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ContextManagerInterface.h" alt="" coords="3952,439,4143,477"/>
<area shape="rect" id="node33" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="1447,525,1661,564"/>
<area shape="rect" id="node34" href="_http_post_interface_8h.html" title="AVSCommon/Utils/LibcurlUtils\l/HttpPostInterface.h" alt="" coords="514,525,714,564"/>
<area shape="rect" id="node35" href="_device_info_8h.html" title="AVSCommon/Utils/DeviceInfo.h" alt="" coords="1125,445,1333,471"/>
<area shape="rect" id="node36" href="_retry_timer_8h.html" title="AVSCommon/Utils/RetryTimer.h" alt="" coords="280,532,490,557"/>
<area shape="rect" id="node37" href="_customer_data_handler_8h.html" title="RegistrationManager\l/CustomerDataHandler.h" alt="" coords="2141,439,2309,477"/>
<area shape="rect" id="node38" href="_c_b_l_auth_delegate_configuration_8h.html" title="CBLAuthDelegate/CBLAuthDelegate\lConfiguration.h" alt="" coords="1407,439,1645,477"/>
<area shape="rect" id="node39" href="_c_b_l_auth_delegate_storage_interface_8h.html" title="CBLAuthDelegate/CBLAuthDelegate\lStorageInterface.h" alt="" coords="1034,525,1272,564"/>
<area shape="rect" id="node40" href="_c_b_l_auth_requester_interface_8h.html" title="CBLAuthDelegate/CBLAuthRequester\lInterface.h" alt="" coords="1820,439,2067,477"/>
<area shape="rect" id="node43" href="_s_q_lite_database_8h.html" title="SQLiteStorage/SQLiteDatabase.h" alt="" coords="738,532,960,557"/>
<area shape="rect" id="node45" href="_message_router_8h.html" title="ACL/Transport/MessageRouter.h" alt="" coords="3560,272,3775,297"/>
<area shape="rect" id="node46" href="_context_manager_8h.html" title="ContextManager/ContextManager.h" alt="" coords="2833,359,3065,384"/>
<area shape="rect" id="node47" href="_customer_data_manager_8h.html" title="RegistrationManager\l/CustomerDataManager.h" alt="" coords="2367,352,2541,391"/>
<area shape="rect" id="node48" href="_auth_delegate_test_context_8h.html" title="Integration/AuthDelegate\lTestContext.h" alt="" coords="2954,179,3123,217"/>
<area shape="rect" id="node49" href="_connection_status_observer_8h.html" title="Integration/ConnectionStatus\lObserver.h" alt="" coords="2615,352,2808,391"/>
<area shape="rect" id="node50" href="_s_d_k_test_context_8h.html" title="Integration/SDKTestContext.h" alt="" coords="3288,272,3485,297"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1integration"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration.html">alexaClientSDK::integration</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1integration_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html">alexaClientSDK::integration::test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
